### Function

# Gimp strip_uline

#### Declaration [src]

    gchar*
    gimp_strip_uline (
      const gchar* str
    )

#### Description [src]

This function returns a copy of `str` stripped of underline characters. This comes in handy when needing to strip mnemonics from menu paths etc.

In some languages, mnemonics are handled by adding the mnemonic character in brackets (like “File (_F)”). This function recognizes this construct and removes the whole bracket construction to get rid of the mnemonic (see bug 157561).

#### Parameters

`str`

  Type: `const gchar*`

  Underline infested string (or `NULL`).

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A (possibly stripped) copy of `str` which should be freed using `g_free()` when it is not needed any longer.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.